package cn.com.qmth.task.starter;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication(scanBasePackages = {"cn.com.qmth"})
@EnableJpaRepositories(basePackages = {"cn.com.qmth"})
@EntityScan(basePackages = {"cn.com.qmth"})
@EnableEurekaClient
@EnableScheduling
@EnableAutoConfiguration
public class TaskApplication {

    public static void main(String[] args) throws Exception {
    	SpringApplication application = new SpringApplication(TaskApplication.class);
    	application.addListeners(new JobsInitializationListener());
    	application.run(args);
    }
    
}
